M4L Devices forward compatibility - Live8 users left behind?

Questions and discussion about building and using Max for Live devices
Post Reply
sleepingbird
Posts: 32
Joined: Thu Jul 30, 2009 4:49 pm

M4L Devices forward compatibility - Live8 users left behind?

Post by sleepingbird » Sat May 18, 2013 8:28 am

Hi peeps,

i am rather disappointed to see m4l development rushing ahead with awesome new devices being created that don't work in live8, but only live9.

i can understand dropping support for old versions eventually, but this seems sadly way too early. i think there will still be a huge userbase of live8 for a while. of course, ableton would love if we all upgrade but for some, that's just not an option at the moment.

plus, developing devices not only for me, i need to make sure, i can develop something a live8 as well as a live9 user can also use.

at the mo i have only live8 and thus not the possibility to test on both versions.

any pointers as to how to make a device work on both versions?

i absolutely need to know this will work, before even remotely considering upgrading and starting to develop with live9 and m4l.

cheers,
*s

S4racen
Posts: 5218
Joined: Fri Aug 24, 2007 4:08 pm
Location: Dunstable
Contact:

Re: M4L Devices forward compatibility - Live8 users left behind?

Post by S4racen » Sat May 18, 2013 8:40 am

Only use calls to Live's API that exist in Live 8....

Thats about it really....

Cheers
D

greaterthanzero
Posts: 103
Joined: Tue Apr 09, 2013 5:48 pm

Re: M4L Devices forward compatibility - Live8 users left behind?

Post by greaterthanzero » Wed May 22, 2013 5:30 am

There are a few new objects in max 6 that don't exist in 5. And also a few objects that behave differently. Avoid those, or acknowledge that you're primarily building devices for yourself and use whatever tools work for you.

Really, the big thing is not uninstalling Live 8. Keep that running, configured to use Max 5 as before, next to your Live 9/Max 6 install. Test in both.

But I think you're mistaken about there being a huge userbase that bought Max For Live and hasn't upgraded. That's a weird combination.

vitalispopoff
Posts: 261
Joined: Thu Mar 04, 2010 10:18 pm
Location: Warsaw, PL
Contact:

Re: M4L Devices forward compatibility - Live8 users left behind?

Post by vitalispopoff » Wed May 22, 2013 12:00 pm

64 bit compability?

m4l works in 32 only under Live8
MBP/ M-Audio FW 410/ OSX 8/AL 9 Suite/ UC33e + Drehbank

sleepingbird
Posts: 32
Joined: Thu Jul 30, 2009 4:49 pm

Re: M4L Devices forward compatibility - Live8 users left behind?

Post by sleepingbird » Tue May 28, 2013 9:36 pm

thanks for you advices.

i own the full maxmsp prog and use max6 in live8 (32bit). (no glitches, meanwhile works fine)

so i guess, there are objects specific to the live9 api?

well, all is good, as long as all my devices developed in live8 with max6 will work in the live9 suite.

still a shame, to come across so many new devices, that require live9. :(

gotta do some reading on the actual advantages of the upgrade in that sense.

weblink pointers to something? new live object model sheet or such?

stringtapper
Posts: 6272
Joined: Sat Aug 28, 2004 6:21 pm

Re: M4L Devices forward compatibility - Live8 users left behind?

Post by stringtapper » Tue May 28, 2013 9:53 pm

sleepingbird wrote:i own the full maxmsp prog and use max6 in live8 (32bit). (no glitches, meanwhile works fine)

so i guess, there are objects specific to the live9 api?
No there are new general objects in Max 6 like [scale~], [plot~], [dict], etc. As far as I know there are no new live.* objects. Strange that a full Max 6 user would not know (or at least not check) this.

The only things that should affect compatibility are 64-bit vs. 32-bit (especially in the case of externals), any new calls to the API as S4racen stated, and cases where people are still using Max 5 as their M4L editor with Live 8 and they try to use a device that uses one of the new Max 6 objects.
Unsound Designer

Post Reply